> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# (Deprecated) List institutions

> Calling this endpoint will kick off the downloading of an institutions.csv file. Data in this file can change daily. MX recommends that partners using this file pull it on a daily basis to update any outdated information. This endpoint has been deprecated. Partners are encouraged to use the search institutions endpoint instead. Search institutions provides the most up-to-date information, whereas list institutions provides a CSV file that is only updated once a day. Additionally, new institution fields will not be added to the CSV file; they will be available only through the search institutions response.



## OpenAPI

````yaml openapi/nexus/v1.yaml GET /institutions
openapi: 3.0.0
info:
  contact:
    name: Nexus API
    url: https://www.mx.com
  version: 1.0.0
  title: Nexus API
  description: >-
    Legacy clients can use Nexus API for all their connectivity needs. If you
    are a new client refer to our Platform API. Review our [Nexus API
    Guides](/nexus) for more information.
servers:
  - url: https://int-data.moneydesktop.com/
  - url: https://data.moneydesktop.com/
security:
  - sessionToken: []
tags:
  - name: accounts
  - name: beats
  - name: budgets
  - name: categories
  - name: extended transaction history
  - name: goals
  - name: holdings
  - name: identity
  - name: insights
  - name: institutions
  - name: jobs
  - name: member credentials
  - name: members
  - name: merchants
  - name: microdeposits
  - name: monthly cash flow profile
  - name: notifications
  - name: scheduled payments
  - name: sessions
  - name: spending plan
  - name: taggings
  - name: tags
  - name: transaction rules
  - name: transactions
  - name: user
  - name: verification
paths:
  /institutions:
    get:
      tags:
        - institutions
      summary: (Deprecated) List institutions
      description: >-
        Calling this endpoint will kick off the downloading of an
        institutions.csv file. Data in this file can change daily. MX recommends
        that partners using this file pull it on a daily basis to update any
        outdated information. This endpoint has been deprecated. Partners are
        encouraged to use the search institutions endpoint instead. Search
        institutions provides the most up-to-date information, whereas list
        institutions provides a CSV file that is only updated once a day.
        Additionally, new institution fields will not be added to the CSV file;
        they will be available only through the search institutions response.
      operationId: listInstitutions
      responses:
        '200':
          description: OK
          content:
            text/csv:
              schema:
                type: string
              example: >-
                guid,name,instructions,created_at,updated_at,url,popularity,is_hidden,has_checking_accounts,has_savings_accounts,has_loan_accounts,has_credit_card_accounts,has_investment_accounts,has_line_of_credit_accounts,has_mortgage_accounts,external_guid,medium_logo_url,small_logo_url
                INS-8cf20d3c-e481-5617-931a-f26adc3a2e6a,Regions
                Bank,,2016-11-09T20:10:22+00:00,2021-07-13T17:19:27+00:00,https://www.regions.com/personal_banking.rf,3553002,false,true,true,true,true,true,true,true,,https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/100x100/INS-8cf20d3c-e481-5617-931a-f26adc3a2e6a_100x100.png,https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/50x50/INS-8cf20d3c-e481-5617-931a-f26adc3a2e6a_50x50.png
                INS-d5082d2a-cbed-4f25-8af1-2bfe5142d399,Suncoast Credit
                Union,,2020-01-13T18:08:09+00:00,2022-04-25T01:00:10+00:00,https://www.suncoastcreditunion.com/,467167,false,false,false,false,false,false,false,false,,https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/100x100/default_100x100.png,https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/50x50/default_50x50.png
                INS-b2cbbc1a-5d65-8807-1fb5-cd3309e7941d,WaFed
                Test,,2015-05-15T21:30:11+00:00,2019-06-13T16:26:00+00:00,https://www.washingtonfederal.com/,177124,false,true,true,true,true,true,true,true,,https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/100x100/default_100x100.png,https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/50x50/default_50x50.png
components:
  securitySchemes:
    sessionToken:
      description: >
        ### MX Session Token 

        - Request an API token using the read API token endpoint in the MX SSO
        API.

        - Exchange an API token for a session token. 
          - A session token is obtained by sending a POST request to /sessions
          - The session token will be used in each request made for the user. It should be passed in an `MD-SESSION-TOKEN` HTTP header as shown below.
          - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
          - If you send a request with an expired session token you'll receive an error code of `4011`.

        ```

        curl -i https://int-data.moneydesktop.com/accounts \

        -H 'MD-SESSION-TOKEN:
        CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg'
        \

        -H 'Content-Type: application/vnd.mx.nexus.v1+json' \

        -H 'Accept: application/vnd.mx.nexus.v1+json'

        ```


        In documentation code examples, replace `<API_KEY_VALUE>` with the
        session token.
      type: apiKey
      name: MD-SESSION-TOKEN
      in: header

````